links
PATCH /v1/content/run-schedules/{scheduleId}
Change or pause a cadence.
ప్రమాణీకరణ
ఒక API కీని బేరర్ టోకెన్గా పంపండి. ఈ ఎండ్పాయింట్ స్పెసిఫికేషన్లో నిర్దిష్ట అనుమతిని పేర్కొనలేదు, కాబట్టి ఊహించడం కంటే మీ కీకి అవసరమైన కనిష్ట అనుమతిని ఇవ్వండి మరియు ప్రతిస్పందనను తనిఖీ చేయండి.
ఈ ఎండ్పాయింట్ ఎలాంటి సంస్థ ఐడీని తీసుకోదు. మీ కీ ఇప్పటికే అది ఏ సంస్థకు చెందుతుందో గుర్తిస్తుంది మరియు ప్రతిస్పందన దానికే పరిమితం చేయబడుతుంది.
ప్రయత్నించండి
కోణీయ బ్రాకెట్లలో ఉన్న దేన్నైనా మీ స్వంత విలువలతో భర్తీ చేయండి, మరియు కీ ప్లేస్హోల్డర్ను మీ డాష్బోర్డ్ నుండి తీసుకున్న కీతో భర్తీ చేయండి.
curl -X PATCH https://api.zinndigital.com/v1/content/run-schedules/{scheduleId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ }'సైన్ ఇన్ చేశారా? మీ డ్యాష్బోర్డ్లోని API కాన్సోల్ మీ అసలైన సంస్థ ID మరియు మీ స్వంత కీని నింపుతుంది, అలాగే మీరు అసలైన ప్రతిస్పందనను చూడటానికి లైవ్ API ద్వారా ఆభ్యర్థనను రన్ చేస్తుంది. ఈ ఎండ్పాయింట్ను API కన్సోల్లో తెరిచండి
వివరాలు
Any subset of the fields. Setting `enabled` to false stops future runs and leaves every run it has already made alone. Gated on `links.edit`.
పారామీటర్లు
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
scheduleId (path) | string | అవును | — |
అభ్యర్థన బాడీ
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
brief | string | కాదు | — |
site_ids | string[] | కాదు | — |
anchors | ContentRunAnchor[] | కాదు | — |
category | string | కాదు | — |
publish_policy | ContentRunPublishPolicy | కాదు | How far a run may go on its own. `draft_only` is the default and puts nothing live. |
interval_hours | integer | కాదు | — |
enabled | boolean | కాదు | — |
recipe_id | string | కాదు | — |
స్పందన
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
id | string | అవును | — |
enabled | boolean | అవును | — |
interval_hours | integer | అవును | — |
next_run_at | string | అవును | — |
last_run_at | string | కాదు | — |
last_run_id | string | కాదు | — |
brief | string | అవును | — |
category | string | కాదు | — |
publish_policy | ContentRunPublishPolicy | అవును | How far a run may go on its own. `draft_only` is the default and puts nothing live. |
site_ids | string[] | అవును | — |
recipe_id | string | కాదు | — |
ఈ ఎండ్పాయింట్ తిరిగి ఇవ్వగల లోపాలు
401 · 403 · 404 · 422